apt has package conflicts whenever I attempt to install gcc and gcc-guile in one line using apt install

Bug #1854890 reported by Seija Kijin on 2019-12-03
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apt (Ubuntu)
Undecided
Unassigned

Bug Description

Description: Ubuntu 18.04.3 LTS
Release: 18.04

apt:
  Installed: 1.6.12
  Candidate: 1.6.12
  Version table:
 *** 1.6.12 500
        500 http://us.archive.ubuntu.com/ubuntu bionic-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     1.6.6ubuntu0.1 500
        500 http://security.ubuntu.com/ubuntu bionic-security/main amd64 Packages
     1.6.1 500
        500 http://us.archive.ubuntu.com/ubuntu bionic/main amd64 Packages

Expected Results:
apt should have installed gcc first and then gcc-guile, instead of reporting package inconsistency because installing gcc via apt and then guile had no issues for me.

Actual Results:
apt reports a package error and that packages may be broken.

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: apt 1.6.12
ProcVersionSignature: Ubuntu 5.0.0-37.40~18.04.1-generic 5.0.21
Uname: Linux 5.0.0-37-generic x86_64
ApportVersion: 2.20.9-0ubuntu7.9
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Mon Dec 2 22:42:04 2019
InstallationDate: Installed on 2019-12-01 (2 days ago)
InstallationMedia: Ubuntu 18.04.3 LTS "Bionic Beaver" - Release amd64 (20190805)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: apt
UpgradeStatus: No upgrade log present (probably fresh install)

Seija Kijin (doremylover) wrote :
Seija Kijin (doremylover) wrote :
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers